API_KEY='live_...'
curl --request GET \
--url "https://api.scale.com/v2/datasets/deliveries" \
--header "Authorization: Bearer $API_KEY"{
"deliveries": [
{
"id": "delivery_abc123",
"name": "My Delivery - 2024-01-15",
"delivered_at": "2024-01-15T10:30:00Z",
"metadata": {
"task_count": 100,
"turn_count": 100
},
"dataset": "dataset_abc123"
},
{
"id": "delivery_def456",
"name": "My Delivery - 2024-01-16",
"delivered_at": "2024-01-16T10:30:00Z",
"metadata": {
"task_count": 100,
"turn_count": 100
},
"dataset": "dataset_def456"
}
]
}{
"status_code": 500,
"error": "An error has occurred."
}Deliveries
List All Dataset Deliveries
Lists of Deliveries from datasets.
GET
/
v2
/
datasets
/
deliveries
API_KEY='live_...'
curl --request GET \
--url "https://api.scale.com/v2/datasets/deliveries" \
--header "Authorization: Bearer $API_KEY"{
"deliveries": [
{
"id": "delivery_abc123",
"name": "My Delivery - 2024-01-15",
"delivered_at": "2024-01-15T10:30:00Z",
"metadata": {
"task_count": 100,
"turn_count": 100
},
"dataset": "dataset_abc123"
},
{
"id": "delivery_def456",
"name": "My Delivery - 2024-01-16",
"delivered_at": "2024-01-16T10:30:00Z",
"metadata": {
"task_count": 100,
"turn_count": 100
},
"dataset": "dataset_def456"
}
]
}{
"status_code": 500,
"error": "An error has occurred."
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Required query parameters
You are expected to provide the following to find deliveries:dataset_id- The ID of the Scale dataset.
Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Query Parameters
Scale's unique identifier for the dataset. Unique identifier for a dataset
Example:
"dataset_abc123"
A timestamp formatted as an ISO 8601 date-time string.
A timestamp formatted as an ISO 8601 date-time string.
Response
List of deliveries.
Show child attributes
Show child attributes

